(require-library simple-tests)
(import simple-tests)

(define-test (bar n)
  (positive? n)
  (even? n))

(define-test (foo x y)
  (< x y)
  "COMMENT"
  (bar 4)
  (odd? 3)
  (positive? 3))

(define-test (+?)
  (= (+ 1 2) 3)
  (= (+ 1 2 3) 6))

(define-test (*?)
  (= (* 1 2) 2)
  (= (* 1 2 3) 6))

(define-test (arithmetic?)
  (+?)
  (*?))

(define-test (baz)
  (and? #t #t #t)
  (and?)
  (not (and? #t #f #t)))


(compound-test (simple-tests)
  (baz)
  (arithmetic?)
  (foo 1 2)
  )
